
From: Johannes Stezenbach <js@linuxtv.org>

Endianness fix for risc DMA start address setting.  (reported by Stefan
Haubenthal/Peter Hettkamp)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/bt8xx/bt878.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/dvb/bt8xx/bt878.c~dvb-bt8xx-endianness-fix drivers/media/dvb/bt8xx/bt878.c
--- devel/drivers/media/dvb/bt8xx/bt878.c~dvb-bt8xx-endianness-fix	2005-09-04 16:51:48.000000000 -0700
+++ devel-akpm/drivers/media/dvb/bt8xx/bt878.c	2005-09-04 16:51:48.000000000 -0700
@@ -219,7 +219,7 @@ void bt878_start(struct bt878 *bt, u32 c
 	controlreg &= ~0x1f;
 	controlreg |= 0x1b;
 
-	btwrite(cpu_to_le32(bt->risc_dma), BT878_ARISC_START);
+	btwrite(bt->risc_dma, BT878_ARISC_START);
 
 	/* original int mask had :
 	 *    6    2    8    4    0
_
